@echo off

rem Define the location of the Shark 3D SDK:
set S3D_SDKDIR=..\shark3d

rem Define the location of the project:
set S3D_PRJDIR=%cd%

rem Configurations:
if "%S3D_TOOLCFG%" == "" set S3D_TOOLCFG=release
if "%S3D_RUNCFG%" == "" set S3D_RUNCFG=release

rem Determine S3D_HOSTADDR. You may also set this variable directly.
set S3D_HOSTADDR=127.0.0.1
rem set TOOLDIR=%S3D_SDKDIR%\bin\win32_vc7x1\%S3D_TOOLCFG%
rem set HOSTADDRCMD=%TOOLDIR%\shark3d_tool_hostaddr.exe 
rem set HOSTADDRCMD=%HOSTADDRCMD% -select 0
rem set HOSTADDRCMD=%HOSTADDRCMD% -quiet 1
rem set HOSTADDRCMD=%HOSTADDRCMD% -expect 1 
rem set HOSTADDRCMD=%HOSTADDRCMD% -privateonly 1
rem for /F "usebackq" %%s in (`%HOSTADDRCMD%`) do set S3D_HOSTADDR=%%s

echo Setting: S3D_SDKDIR=%S3D_SDKDIR%
echo Setting: S3D_PRJDIR=%S3D_PRJDIR%
echo Setting: S3D_TOOLCFG=%S3D_TOOLCFG%
echo Setting: S3D_RUNCFG=%S3D_RUNCFG%
echo Setting: S3D_HOSTADDR=%S3D_HOSTADDR%

set PATH=%S3D_SDKDIR%\external\win32\msvcrt7x1;%PATH%
set PATH=%S3D_SDKDIR%\external\cg\bin;%PATH%
set PATH=%S3D_SDKDIR%\external\wxwidgets\win32_vc7x1;%PATH%
set PATH=%S3D_SDKDIR%\bin\win32_vc7x1\%S3D_RUNCFG%;%PATH%
set PATH=%S3D_PRJDIR%\bin\win32_vc7x1\%S3D_RUNCFG%;%PATH%
