///////////////////////////////////////////////////////////////////////////////
//
//      ##  ######
//       ######  ###
//  ## ###############        Shark 3D Engine (www.shark3d.com)
//   ########## # # #
//    ########                Copyright (c) 1996-2006 Spinor GmbH.
//   ######### # # #          All rights reserved.
//  ##   ##########
//      ##
//
///////////////////////////////////////////////////////////////////////////////

//@cpp

#ifndef S3D_ENG_SHADER_SPECIAL_MODULE_H
#define S3D_ENG_SHADER_SPECIAL_MODULE_H

#include "../../interf/eng_shader.h"
#include "../../../comp/core/comp_module.h"
#include "../../../comp/core/comp_setup.h"

///////////////////////////////////////////////////////////////////////////////

//@ 
class gtp_ShaderModuleSuppl: public s3d_CCompSuppl
{
public:
    //@
    s3d_CCompObjPtr SupplObj(
            s3d_CUtilMsgHandler *MsgHandler, s3d_CUtilStr_cr Info,
                s3d_CUtilStr_cr Ident, s3d_CUtilStr_cr Version);
};

///////////////////////////////////////////////////////////////////////////////

//@
class gtp_ShaderModuleCover: public s3d_CCompModuleCover
{
public:
    //@
    s3d_CUtilStr GetName() const;

    //@
    s3d_CUtilStr GetAbout() const;

    //@
    s3d_CCompSupplPtr CreateSuppl(
            s3d_CUtilMsgHandler *MsgHandler, s3d_CUtilStr_cr Info,
            const s3d_CUtilSnkChunk *Param) const;
};

///////////////////////////////////////////////////////////////////////////////

#endif
